Crypto++ 8.2 Free C++ class library of cryptographic schemes

Public Member Functions | List of all members
ModExpPrecomputation Class Reference
Inheritance diagram for ModExpPrecomputation:

## Public Member Functions
bool | NeedConversions () const
| Determines if elements needs conversion. More...
Element | ConvertIn (const Element &v) const
| Converts an element between representations. More...
virtual Element | ConvertOut (const Element &v) const
| Converts an element between representations. More...
const AbstractGroup< Element > & | GetGroup () const
| Retrieves AbstractGroup interface. More...
Element | BERDecodeElement (BufferedTransformation &bt) const
| Decodes element in DER format. More...
void | DEREncodeElement (BufferedTransformation &bt, const Element &v) const
| Encodes element in DER format. More...
void | SetModulus (const Integer &v)
const Integer & | GetModulus () const

## Additional Inherited Members
Public Types inherited from DL_GroupPrecomputation< Integer >
typedef Integer | Element

## Detailed Description

Definition at line 21 of file modexppc.h.

## Member Function Documentation

## ◆ NeedConversions()

bool ModExpPrecomputation::NeedConversions | ( |  | ) | const
| inline virtual

Determines if elements needs conversion.

Returns
  true if the element needs conversion, false otherwise

NeedConversions determines if an element must convert between representations.

Reimplemented from DL_GroupPrecomputation< Integer >.

Definition at line 27 of file modexppc.h.

## ◆ ConvertIn()

Element ModExpPrecomputation::ConvertIn | ( | const Element & | v | ) | const
| inline virtual

Converts an element between representations.

Parameters

  v | element to convert

Returns
  an element converted to an alternate representation for internal use

ConvertIn is used when an element must convert between representations.

Reimplemented from DL_GroupPrecomputation< Integer >.

Definition at line 28 of file modexppc.h.

## ◆ ConvertOut()

virtual Element ModExpPrecomputation::ConvertOut | ( | const Element & | v | ) | const
| inline virtual

Converts an element between representations.

Parameters

  v | element to convert

Returns
  an element converted from an alternate representation

Reimplemented from DL_GroupPrecomputation< Integer >.

Definition at line 29 of file modexppc.h.

## ◆ GetGroup()

const AbstractGroup<Element>& ModExpPrecomputation::GetGroup | ( |  | ) | const
| inline virtual

Retrieves AbstractGroup interface.

Returns
  GetGroup() returns the AbstractGroup interface

Implements DL_GroupPrecomputation< Integer >.

Definition at line 30 of file modexppc.h.

## ◆ BERDecodeElement()

Element ModExpPrecomputation::BERDecodeElement | ( | BufferedTransformation & | bt | ) | const
| inline virtual

Decodes element in DER format.

Parameters

  bt | BufferedTransformation object

Returns
  element in the group

Implements DL_GroupPrecomputation< Integer >.

Definition at line 31 of file modexppc.h.

## ◆ DEREncodeElement()

void ModExpPrecomputation::DEREncodeElement | ( | BufferedTransformation & | bt,
|  | const Element & | P
| ) |  | const
| inline virtual

Encodes element in DER format.

Parameters

  bt | BufferedTransformation object
  P | Element to encode

Implements DL_GroupPrecomputation< Integer >.

Definition at line 32 of file modexppc.h.

The documentation for this class was generated from the following file:

- modexppc.h